import { Injectable } from '@angular/core';
import { Subject } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class LegalService {
  private openModalSource = new Subject<string>();

  openModal$ = this.openModalSource.asObservable();

  openPrivacyPolicy() {
    this.openModalSource.next('privacyPolicy');
  }

  openTermsOfUse() {
    this.openModalSource.next('termsOfUse');
  }
}
